WordPress plugin Attack Scanner Bypass vulnerability

ID 1337DAY-ID-20263
Type zdt
Reporter MustLive
Modified 2013-01-30T00:00:00


Exploit for php platform in category web applications

                                            I want to warn you about security vulnerabilities in WordPress Attack Scanner plugin for WordPress.

These are Information Leakage vulnerabilities. This is security plugin. In my 63 advisories about different vulnerabilities in WordPress plugins (http://websecurity.com.ua/3397/) I've wrote about security plugins many times. Previous time it was plugin Wordfence Security.

Affected products:

Vulnerable are all versions of WordPress Attack Scanner - both Free and Pro (commercial) versions of the plugin. Checked in WP-Attack-Scanner-Free 0.9.5.beta.


Information Leakage (WASC-13):



Folder "path" can be WP-Attack-Scanner or WP-Attack-Scanner-Free.

Unrestricted access to the data - they can be accessed in the browser without authorization. Even the data is encrypted, but by default the password is "changepassword". If the password was not changed, then the data is easily decrypting. If it was changed, then the password can be picked up.

2012.10.29 - announced at my site.
2012.11.03 - informed developers (at one e-mail).
2012.11.04 - informed developers (at another e-mail).
2013.01.29 - disclosed at my site (http://websecurity.com.ua/6120/).

Best wishes & regards,
Administrator of Websecurity web site

#  0day.today [2018-03-10]  #